
if test ! -x ../kdenox/admin
  cp -a ../kdelibs/admin ../kdenox
fi

export TARGET=x86
#export ARCH_CONFIG_OPTION=

export QTDIR=/opt/qt-2.3.10/
export UNSERMAKE=no
export CXXFLAGS=-DKJS_VERBOSE=1 -DQT_THREAD_SUPPORT -DQ_OS_UNIX -DQT_NO_DOM 

cd ../kdenox
make -f Makefile.cvs
cd -

CXXFLAGS=-DKJS_VERBOSE=1
../kdenox/configure \
	--prefix=$HOME/konq-embedded-test \
	--with-ipv6-lookup=no \
	--without-xinerama \
	--disable-scrollbars \
	--disable-selection \
	--disable-bookmarks \
	--with-javascript=static \
	--enable-debug=full \
	--disable-printing \
	--enable-pcre \
	--without-arts \
	--enable-jshostext \
	--disable-selection \
	--enable-final \
	--with-extra-libs=/lib \
	--enable-qt-embedded \
	--enable-rtti-embedded \
	--enable-mt \
	--enable-qt-mt\
	--with-qt-dir=/opt/qt-2.3.10/ \
	--with-qt-includes=/opt/qt-2.3.10/include \
	--with-qt-libraries=/opt/qt-2.3.10/lib \
	--enable-fwnewepg=yes \
	--enable-embedded \
#	--enable-final \
# --enable-fwslavemode=yes
# --disable-threading \
# --disable-mt \
# --disable-javascript \
# --disable-threading \
# --with-pic


#	--enable-qtopia \
#	--with-gui=x11 \
#	--x-libraries=/usr/X11R6/lib \
#	--x-includes=/usr/X11R6/include \
#	--with-stb2-includes=$HOME/src/STB2/include \
#	--with-libfastweb-includes=$HOME/src/STB2/libfastweb \
#	--with-libfastweb-lib=$HOME/src/STB2/libfastweb \


#	--host=$TARGET \
#	--target=$TARGET \
#	$ARCH_CONFIG_OPTION \

make 
