/*  This file is part of the KDE project
    Copyright (C) 2006 basysKom GmbH <info@basyskom.de>
    Copyright (C) 2006 ROAD GmbH <info@road-gmbh.de>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#ifndef OBJECTDELETER_H
#define OBJECTDELETER_H

#include <qglobal.h>
#if defined QT_VERSION && (QT_VERSION < 0x030000)

#include <qobject.h>


class ObjectDeleter : public QObject
{
public:
    ObjectDeleter( QObject *parent=0, const char *name=0 );

    enum { DeferredLater=52 };

protected:
    bool  eventFilter( QObject *o, QEvent *e );
};

#endif // (QT_VERSION < 0x030000)

#endif
